allprojects {
    ext {
        compileSdkVersion = 34
        applicationId = "com.xingmeng.xiaoting"
        minSdkVersion = 23
        targetSdkVersion = 32

        appcompat_version = "1.6.1"
        constraintlayout_version = "2.1.4"
        immersionbar_version = "3.2.2"
    }
    repositories {
        google()
        mavenCentral()
    }
}

rootProject.buildDir = "../build"
subprojects {
    project.buildDir = "${rootProject.buildDir}/${project.name}"
}
subprojects {
    project.evaluationDependsOn(":app")
}

tasks.register("clean", Delete) {
    delete rootProject.buildDir
}
